%define upstream_name    Event-Lib
%define upstream_version 1.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %upstream_version
Release:	%mkrel 10
License:	GPL+ or Artistic
Group:		Development/Perl
Summary:	Perl extentions for event-based programming
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Event/%{upstream_name}-%{upstream_version}.tar.gz
Patch0: 	Event-Lib-1.04_libevent2_1_8-buildfix.patch

BuildRequires:	perl-devel
BuildRequires:	perl(Test::SharedFork)
BuildRequires:	pkgconfig(libevent)

%description
This module is a Perl wrapper around libevent(3) as available from the
http://www.monkey.org/~provos/libevent/ manpage. It allows to execute a
function whenever a given event on a filehandle happens, a timeout occurs
or a signal is received.

Under the hood, one of the available mechanisms for asynchronously dealing
with events is used. This could be 'select', 'poll', 'epoll', 'devpoll' or
'kqueue'. The idea is that you don't have to worry about those details and
the various interfaces they offer. _Event::Lib_ offers a unified interface
to all of them (but see the "CONFIGURATION" manpage further below).

Once you've skimmed through the next two sections (or maybe even now), you
should have a look at the "EXAMPLE: A SIMPLE TCP SERVER" manpage to get a
feeling about how it all fits together.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# those tests fail with test::harness 3.x
# cf  https://rt.cpan.org/Ticket/Display.html?id=35355
# and http://rt.cpan.org/Public/Bug/Display.html?id=36130
#rm t/20_signal.t t/51_cleanup_persistent.t
#make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.40.0-10.mga8
+ Revision: 1594782
- Rebuild for perl 5.32

* Sun Feb 16 2020 daviddavid <daviddavid> 1.40.0-9.mga8
+ Revision: 1532041
- rebuild for new libevent 2.1.11

* Sun Feb 16 2020 umeabot <umeabot> 1.40.0-8.mga8
+ Revision: 1529479
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.40.0-7.mga8
+ Revision: 1433595
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.40.0-6.mga7
+ Revision: 1292839
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.40.0-5.mga7
+ Revision: 1249395
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.40.0-4.mga7
+ Revision: 1164302
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.40.0-3.mga7
+ Revision: 1149620
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.40.0-2.mga7
+ Revision: 1126654
- Rebuild against new Perl 5.26

* Tue Feb 21 2017 mrambo3501 <mrambo3501> 1.40.0-1.mga6
+ Revision: 1087217
- update to latest version
- added patch to fix build error with libevent 2.1.8
- rebuild for new libevent

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-13.mga6
+ Revision: 1026983
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.30.0-12.mga6
+ Revision: 957273
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 1.30.0-11.mga6
+ Revision: 843608
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-10.mga5
+ Revision: 743905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-9.mga5
+ Revision: 684656
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.30.0-8.mga5
+ Revision: 631163
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.30.0-7.mga4
+ Revision: 524300
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.30.0-6.mga4
+ Revision: 430692
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-5.mga3
+ Revision: 366954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 01 2012 jquelin <jquelin> 1.30.0-4.mga3
+ Revision: 252874
- skip tests altogether, they fail with recent harness
- skip tests altogether, they fail with recent harness
- try to fix harness tests
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.30.0-3.mga2
+ Revision: 104243
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.30.0-2.mga1
+ Revision: 30220
- mageia rebuild
- cleaning spec file
- imported package perl-Event-Lib


* Wed Dec 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1.30.0-2mdv2011.0
+ Revision: 623877
- rebuilt against libevent 2.x

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2011.0
+ Revision: 556555
- remove faulty tests failing with test::harness 3.x

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 401504
- use perl version macro

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.03-2mdv2009.0
+ Revision: 268480
- rebuild early 2009.0 package (before pixel changes)
- fix extra spacing at top of description

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 1.03-1mdv2009.0
+ Revision: 212550
- import perl-Event-Lib


